Subject: Re: bug#70357: 30.0.50; loadup.el, load nadvice before seq

From: Gerd Möllmann <[email-masked]>
Date: Mon, 15 Apr 2024 08:16:30 +0200

Gerd Möllmann <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>> A quick fix could be the patch below.
>
> Thanks Stefan. I'm now using your change locally to see if anything
> doesn't work (but I don't expect that).

I have something, but I'm 100% unsure if this has anything to do with
your patch, not the least because I never got so far in the build
before.

This is with MPS-based GC, and a build from git clean -xdf.
bootstrap-emacs.pdmp is built, some Lisp is compiled, and emacs.pdmp is
about to be dumped.

When loading ns-win (compiled), I get

  *** MPS GC start: Generation 0 of a chain has reached capacity: start a minor collection.
  Loading term/ns-win...

  Error: error ("Missing cl-generic dispatcher in the prefilled cache!
  Missing for: ((&context . window-system) cl--generic-eql-generalizer cl--generic-t-generalizer)
  You might need to add: (cl--generic-prefill-dispatchers (&context . window-system) (eql 'x))")
    signal(error ("Missing cl-generic dispatcher in the prefilled cache!\nMissing for: ((&context . window-system) cl--generic-eql-generalizer cl--generic-t-generalizer)\nYou might need to add: (cl--generic-prefill-dispatchers (&context . window-system) (eql 'x))"))

I'm attaching the full backtrace.

As I said, I have no idea yet what that means. I'll try a build without
MPS a bit later.